S3 Get Object Legal Hold
  • 31 May 2023
  • Dark
    Light

S3 Get Object Legal Hold

  • Dark
    Light

Article summary

GEThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/<your-key>?legal-hold

Gets an object's current legal hold status. For more information, see Enable Object Lock with the S3-Compatible API.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

legal-hold

Must be present to retrieve object legal hold status.

versionId

Optional. Specifies a specific version of the object.

PATH VARIABLES

bucket

Required. The name of the bucket

key

Required. Key of the object to be written.

Example Request

curl --location 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/object-1?legal-hold=null'

Example Response

200 OK

Body

object data
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<LegalHold xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <Status>ON</Status>
</LegalHold>


Headers (10)

Cache-Control

max-age=0, no-cache, no-store

x-amz-request-id

16b1267e4d7723df

x-amz-id-2

aMcs1TmaIOS4zCjWmY3lm1TQWZI9jkWJC


Content-Type

application/xml

Content-Length

153

Date

Fri, 28 Jan 2022 23:15:42 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?